WMNOTIFY(1)

NAME
wmnotify - Dockable email notification program for single POP3 or IMAP4 account

SYNOPSIS
wmnotify [OPTION]...

DESCRIPTION
wmnotify is a dockable application (DockApp) for the WindowMaker window manager to periodically check a POP3 or IMAP4 email account for new messages. If there are new messages in the mailbox, a simple animation is displayed and an optional sound (or beep) is produced. wmnotify now supports SSL encryption. The interface is kept very simple. To manually check for new messages, single-click on the mailbox image. To start your favorite email program, double-click on the mailbox image. When you double-click on the mailbox image to start your email program, the new messages animation is stopped, assuming that you will read your new messages. If you don't, the wmnotify program will simply continue it's periodic checking of your email account and will restart the new messages animation after the usual delay if new messages are unread. By default, the interval between checks is 5 minutes, and this can be changed in the configuration file. You can also enable audio notification as well as specify an optional audio sound file (WAV or AU). If audio notification is enabled but no audio sound file is specified, a beep will be produced. There is an option in the configuration file to adjust the volume of the sound file.

OPTIONS

-c config-file
    wmnotify reads your mail account settings and preferences from the specified configuration file. This option overrides the use of the default config file, $HOME/.wmnotifyrc.Makesurethatthealternateconfigurationfilehas correct permissions (normally 0400) to protect your email account informations.

-d  Display debugging messages.

-display host:display
    Specifies the host and screen to be used by wmnotify. By default this is obtained from the environment variable DISPLAY.

-geometry geometry
    (*geometry) Specifies the initial geometry of the window.

-h  display usage and exit

-v  output version information and exit

CONFIGURATION FILE
$HOME/.wmnotifyrc The first time the program is run, it will check for the presence of the configuration file in the user's home directory. If this file is not found, wmnotify will automatically create a new one, and exit with a message telling the user to set it's mail account settings and preferences in the new configuration file before restarting wmnotify.

protocol <protocol-name>
    mail account protocol, POP3 or IMAP4.

imap_folder <folder-name>
    IMAP folder name (optional, default is INBOX).

use_ssl <value>
    This option controls the SSL encryption enabling/disabling. The value may be set to "0" to disable or to "1" to enable.

server <server-name>
    mail server name (or IP address).

port <port-number>
    mail server port number (optional, default value is 110).

username <username>
    mail account username.

password <password>
    mail account password.

mailcheckdelay <delay-in-minutes>
    Mail check interval, in minutes (optional, default value is 5).

mailclient <program>
    The program to start when double-clicking on the mailbox image (optional).

enablebeep <value>
    This option controls the audio notification enabling/disabling. If this option is enabled and the "audiofile" option below contains a valid audio file, it will be played whenever new message(s) are detected. If "audiofile" is commented, the console beep will be used to produce the audio notification. The value may be set to "0" to disable or to "1" to enable (optional, default value is 0, disabled).

audiofile <path-to-audiofile>
    Path and filename of the WAV or AU audio sound file to play when new message(s) are detected (optional).

volume <value>
    Volume value, in percent, when playing an audio file (optional, default value is 100%). This volume value is relative to the values you have set in your sound card mixer settings. If you find the audio notification sound to be too loud, just reduce the volume value. On the other hand, if you want to increase the audio notification sound amplitude, just increase the volume. If you increase the volume value to 100% and you find that it is not sufficient, then you would have to increase the volume using your favorite sound card mixer program (ex: with alsamixer, increase the PCM or master value).

CREDITS
wmnotify was written by Hugo Villeneuve <hugo@hugovil.com>, based on the WMPop3 program by Scott Holden <scotth@thezone.net>.

COPYRIGHT
wmnotify is free; anyone may redistribute it to anyone under the terms stated in the GNU General Public License. A copy of the license is included in the wmnotify distribution. You can also browse it online at http://www.gnu.org/copyleft/gpl.html